> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List API Keys

> List AgentMail API key metadata for the authenticated account.



## OpenAPI

````yaml openapi/agentmail.json GET /agentmail/api-keys
openapi: 3.1.0
info:
  title: AgentMail API
  version: 1.0.0
  description: >-
    AgentMail email API endpoints exposed through the AIsa unified gateway.
    Adapted from the upstream docs.agentmail.to OpenAPI spec.
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - Bearer: []
paths:
  /agentmail/api-keys:
    get:
      tags:
        - AgentMail
      summary: List API Keys
      description: List AgentMail API key metadata for the authenticated account.
      operationId: get_agentmail_api_keys
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__Limit'
        - name: page_token
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__PageToken'
        - name: ascending
          in: query
          required: false
          schema:
            $ref: '#/components/schemas/type__Ascending'
        - name: Authorization
          in: header
          description: Bearer authentication
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with status 200
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/type_api-keys_ListApiKeysResponse'
      security:
        - Bearer: []
components:
  schemas:
    type__Limit:
      type: integer
      description: Limit of number of items returned.
      title: Limit
    type__PageToken:
      type: string
      description: Page token for pagination.
      title: PageToken
    type__Ascending:
      type: boolean
      description: Sort in ascending temporal order.
      title: Ascending
    type_api-keys_ListApiKeysResponse:
      type: object
      properties:
        count:
          $ref: '#/components/schemas/type__Count'
        next_page_token:
          $ref: '#/components/schemas/type__PageToken'
        api_keys:
          type: array
          items:
            $ref: '#/components/schemas/type_api-keys_ApiKey'
          description: Ordered by `created_at` descending.
      required:
        - count
        - api_keys
      title: ListApiKeysResponse
    type__Count:
      type: integer
      description: Number of items returned.
      title: Count
    type_api-keys_ApiKey:
      type: object
      properties:
        api_key_id:
          $ref: '#/components/schemas/type_api-keys_ApiKeyId'
        prefix:
          $ref: '#/components/schemas/type_api-keys_Prefix'
        name:
          $ref: '#/components/schemas/type_api-keys_Name'
        pod_id:
          type: string
          description: >-
            Pod ID the api key is scoped to. If set, the key can only access
            resources within this pod.
        inbox_id:
          type: string
          description: >-
            Inbox ID the api key is scoped to. If set, the key can only access
            resources within this inbox.
        used_at:
          type: string
          format: date-time
          description: Time at which api key was last used.
        permissions:
          $ref: '#/components/schemas/type_api-keys_ApiKeyPermissions'
        created_at:
          $ref: '#/components/schemas/type_api-keys_CreatedAt'
      required:
        - api_key_id
        - prefix
        - name
        - created_at
      title: ApiKey
    type_api-keys_ApiKeyId:
      type: string
      description: ID of api key.
      title: ApiKeyId
    type_api-keys_Prefix:
      type: string
      description: Prefix of api key.
      title: Prefix
    type_api-keys_Name:
      type: string
      description: Name of api key.
      title: Name
    type_api-keys_ApiKeyPermissions:
      type: object
      properties:
        inbox_read:
          type: boolean
          description: Read inbox details.
        inbox_create:
          type: boolean
          description: Create new inboxes.
        inbox_update:
          type: boolean
          description: Update inbox settings.
        inbox_delete:
          type: boolean
          description: Delete inboxes.
        thread_read:
          type: boolean
          description: Read threads.
        thread_delete:
          type: boolean
          description: Delete threads.
        message_read:
          type: boolean
          description: Read messages.
        message_send:
          type: boolean
          description: Send messages.
        message_update:
          type: boolean
          description: Update message labels.
        label_spam_read:
          type: boolean
          description: Access messages labeled spam.
        label_blocked_read:
          type: boolean
          description: Access messages labeled blocked.
        label_trash_read:
          type: boolean
          description: Access messages labeled trash.
        draft_read:
          type: boolean
          description: Read drafts.
        draft_create:
          type: boolean
          description: Create drafts.
        draft_update:
          type: boolean
          description: Update drafts.
        draft_delete:
          type: boolean
          description: Delete drafts.
        draft_send:
          type: boolean
          description: Send drafts.
        webhook_read:
          type: boolean
          description: Read webhook configurations.
        webhook_create:
          type: boolean
          description: Create webhooks.
        webhook_update:
          type: boolean
          description: Update webhooks.
        webhook_delete:
          type: boolean
          description: Delete webhooks.
        domain_read:
          type: boolean
          description: Read domain details.
        domain_create:
          type: boolean
          description: Create domains.
        domain_update:
          type: boolean
          description: Update domains.
        domain_delete:
          type: boolean
          description: Delete domains.
        list_entry_read:
          type: boolean
          description: Read list entries.
        list_entry_create:
          type: boolean
          description: Create list entries.
        list_entry_delete:
          type: boolean
          description: Delete list entries.
        metrics_read:
          type: boolean
          description: Read metrics.
        api_key_read:
          type: boolean
          description: Read API keys.
        api_key_create:
          type: boolean
          description: Create API keys.
        api_key_delete:
          type: boolean
          description: Delete API keys.
        pod_read:
          type: boolean
          description: Read pods.
        pod_create:
          type: boolean
          description: Create pods.
        pod_delete:
          type: boolean
          description: Delete pods.
      description: >-
        Granular permissions for the API key. When ommitted all permissions are
        granted. Otherwise, only permissions set to true are granted.
      title: ApiKeyPermissions
    type_api-keys_CreatedAt:
      type: string
      format: date-time
      description: Time at which api key was created.
      title: CreatedAt
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````